'use strict';

var args = require('./args.js');

/************************************************************************
 *   Private Method
 *************************************************************************/

var _cache = {
  urls: {},
  logs: {}
};
/**
 * bbo.logs('only id&10', 1, 2);
 */

function logs() {
  if (window.console && window.console.log) {
    var onlyId = String(arguments[0]);
    var times = parseInt(onlyId.split('&')[1], 10) || 10;
    var logsCache = _cache.logs;
    if (!logsCache[onlyId]) logsCache[onlyId] = {};
    if (!logsCache[onlyId].once) logsCache[onlyId].once = 1;

    if (logsCache[onlyId].once <= times) {
      console.log.apply(console, args(arguments, 1));
      logsCache[onlyId].once++;
    }
  }
}

module.exports = logs;
